$ontext
Chapter 3 - example
$offtext

Set c    /n tomato,
sp, sj, sm, kr, vr, ka, mp, mj, p, kp, bj, bp /;

Parameters
gm(c) "     (/)"

lab(c) "    (/)"

cap(c) "    (/)" /n 442, sp 62, sj 52, sm 44, kr 44,
vr 44, ka 126,mp 115, mj 95, p 543, kp 499, bj 97, bp 119 /;

;

*way 1
*$call "Gdxxrw 61_data.xlsx Output=gm.gdx par=gm Rng=way1!a3:b15 cdim=0 rdim=1"
*$GDXin gm.gdx
*$load gm
*$GDXIN
*display gm;

* way 2
PARAMETER tmp(c,*);
$call "Gdxxrw 61_data.xls Output=tmp.gdx par=tmp Rng=way2!a2:d15 cdim=1 rdim=1"
$GDXin tmp.gdx
$load tmp
$GDXIN
display tmp;
lab(c)=tmp(c,'Labour Requirements');
display lab;

Positive Variables  x(c) "(hectares)";

Variable  z objective function value;

Equations
 Obj objective
 land_constraint Land constraint
 labor_constraint Labour constraint
 wCapital_constraint Capital constraint
;

Obj..  sum(c, x(c)*gm(c)) =e= z;

land_constraint.. sum(c, x(c)) =l= 30;

labor_constraint.. sum(c, x(c)*lab(c)) =l= 600;

wCapital_constraint..  sum(c, x(c)*cap(c)) =l= 5200;


Model Problem /all/;

Solve Problem using LP maximizing z;